2009年5月12日

[plamo:29755] Re: Plamo-4.6install報告

名倉 です。

> choです。こんばんは。
>
>
> KOJIMA Mitsuhiro さんは書きました:
> >
> > VMware にこだわりがあるなら仕方ないですが,仮想マシンが動けばいい,とい

> > うなら,Sun の VirtualBox の方がカーネルへの依存性は低いので動かしやす
> > いと思います.
> >
> > # 一応,手もとでイジっている 2.6.30-rc4 な環境でも特に問題なく動いてい
> > # ます > VirtualBox
> >
>
> そうですね。この機会にvmwareでないものを試してみるのも良いかもしれません。
> だめそうなら、おいおいこちらも試してみたいと思います。
>
> ただ、plamo-4.6標準(kernel-2.6.27.15)であれば VMplayer-2.5.2
> は patch 無しでも動くものだと思っていたので、
> なにか気持ち悪いというかなんというか。
>
> #名倉さんのところでは、なぜか動いているみたいですし。

昨日もう1台のマシンlinux-2.6.29.3に上げました。
  残念ながら何事もなくVMware-Player-2.5.2-156735.i386.bundleも起動しました。

  /tmp がうまく確保&読み書きできていないのではと思っていたので
  モジュールコンパイル中に別ウインドウから/tmpのduをやりながら
  手元では最大6411が観測できました。

  さすがにlinux-2.6.30-rcXには手をだしていません。やってみるかなーー?

nagura@xxxxx:/usr/lib/vmware/modules/source$ ls -la
合計 6768
drwxr-xr-x 8 root root 4096 4月 27日 10:34 ./
drwxr-xr-x 4 root root 4096 5月 2日 09:31 ../
drwxr-xr-x 5 root root 4096 4月 27日 10:20 vmblock-only/
-rw-r--r-- 1 root root 327680 4月 27日 10:28 vmblock.tar
-rw-r--r-- 1 root root 317440 4月 26日 12:02 vmblock.tar.orig
drwxr-xr-x 6 root root 4096 4月 27日 10:20 vmci-only/
-rw-r--r-- 1 root root 665600 4月 27日 10:29 vmci.tar
-rw-r--r-- 1 root root 655360 4月 26日 12:02 vmci.tar.orig
drwxr-xr-x 7 root root 4096 4月 27日 10:20 vmmon-only/
-rw-r--r-- 1 root root 1146880 4月 27日 10:24 vmmon.tar
-rw-r--r-- 1 root root 1034240 4月 26日 12:02 vmmon.tar.orig
drwxr-xr-x 2 root root 4096 4月 27日 10:20 vmnet-only/
-rw-r--r-- 1 root root 798720 4月 27日 10:30 vmnet.tar
-rw-r--r-- 1 root root 798720 4月 26日 12:02 vmnet.tar.orig
drwxr-xr-x 2 201 201 4096 3月 27日 14:05 vmppuser-only/
-rw-r--r-- 1 root root 51200 4月 26日 12:02 vmppuser.tar
drwxr-xr-x 5 root root 4096 4月 27日 10:20 vsock-only/
-rw-r--r-- 1 root root 522240 4月 27日 10:34 vsock.tar
-rw-r--r-- 1 root root 522240 4月 26日 12:03 vsock.tar.orig

[plamo:29737] でふれましたがlinux-2.6.29.xではNOパッチでは動かなくなりました。
  でもモジュールソースのパッチなので一度上記のようにしておけば
  パッチのあてなおしはしなくてよいので楽です。
>
>
> > VMware で頑張るなら非公式のパッチの適用が必須でしょうね.Google で調べ
> > れば見つかると思いますが,手元では 2.6.29 なカーネルで
> > vmware-update-2.6.29-5.5.9 あたりが動いたように思います.
> >

  これってVMplayer-2.0.x世代までの常識では?
手元ではVMpalyer-2.5.x,linux-2.6.27.x-linux-2.6.28.xではパッチ不要でした。

  念のため2回以上再インストールをやっているので再現性は大丈夫と思っていましたが
  世の中広いなあ。
  
>
> 情報有難う御座います。
> kernel-2.6.29.xですと、この他にもいくつかpatchがあるようなので、
> もうちょっとだけ試行錯誤してみます。
>
> #2.6.29.x限定になっちゃうのかな?
> #squashfs+lzma-patchの関係でちょっと困るかな。。。
>
  手元ではチップセットサウス(SiS7964L,SiS964)内臓I/Oに接続したIDEディスク,S-ATAディスクで動作しています。

投稿者 xml-rpc : 2009年5月12日 09:10
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/84996
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。